> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get video redraw

> Poll redraw task status and result.

**Path:** `GET https://api.omniall.ai/v1/video/generations/{task_id}`

Also `GET /v1/videos/{task_id}`. On success use `result_url` / `video_url` and re-host promptly.




## OpenAPI

````yaml openapi/video-redraw.yaml GET /v1/video/generations/{task_id}
openapi: 3.1.0
info:
  title: Omniall AI — Video redraw
  version: 1.0.0
  description: >
    OmniAll self-developed video redraw (diffusion frame-by-frame restore;
    **not** upscaling).


    **Create:** `POST https://api.omniall.ai/v1/video/generations` (also `POST
    /v1/videos`)


    **Fetch:** `GET /v1/video/generations/{task_id}`


    Model: `omniall-redraw-1`.


    Auth: `Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /v1/video/generations/{task_id}:
    get:
      tags:
        - Platform
      summary: Get video redraw
      description: >
        Poll redraw task status and result.


        **Path:** `GET https://api.omniall.ai/v1/video/generations/{task_id}`


        Also `GET /v1/videos/{task_id}`. On success use `result_url` /
        `video_url` and re-host promptly.
      operationId: videoRedrawGet
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            example: task_xxx
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API key.
      responses:
        '200':
          description: Task status
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    description: e.g. processing / success / failed
                  result_url:
                    type: string
                    format: uri
                  video_url:
                    type: string
                    format: uri
                  fail_reason:
                    type: string
              example:
                id: task_xxx
                status: success
                result_url: https://cdn.example.com/redrawn.mp4
        '404':
          description: Not found

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.